"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : new P(function (resolve) { resolve(result.value); }).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
const config_1 = require("../config");
function getConfig(args = [], startupConfigPath = null, vcmsFilepath = null) {
    return __awaiter(this, void 0, void 0, function* () {
        /* save the context */
        const originalArgv = process.argv;
        const originalNODE_ENV = process.env.NODE_ENV;
        /* set new context */
        process.argv = ['node', 'app'].concat(args);
        if (!process.env.NODE_ENV) {
            process.env.NODE_ENV = 'test';
        }
        const config = yield config_1.getConfig(startupConfigPath, vcmsFilepath);
        /* restore original context */
        process.argv = originalArgv;
        if (!originalNODE_ENV) {
            delete process.env.NODE_ENV;
        }
        else {
            process.env.NODE_ENV = originalNODE_ENV;
        }
        return config;
    });
}
exports.getConfig = getConfig;
//# sourceMappingURL=util.js.map